#include <xdc/std.h>

#include <ti/sysbios/BIOS.h>
#include <ti/sysbios/knl/Task.h>
#include <ti/sysbios/hal/Timer.h>


int Counter = 0;
int TaskSleepReturned = 0;
unsigned int taskEntered = 0;

Void taskFxn(UArg a0, UArg a1)
{
  taskEntered = 1;
  Task_sleep(1000);

  TaskSleepReturned = 1;
}

unsigned int new, old = 0, delta[1000];
void TimerFunction(void)
{
  new = ARM_CCNT_Read();
  delta[(Counter++)%1000] = new - old;
  old = new;
}

Int main()
{ 

  BIOS_start();

  return(0);
}
